library(rmutil)

data <- read.table("ch1e4.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~1,family=poisson,offset=log(Days)))
cbind(Freq,fitted(z0),residuals(z0,type="pearson"))

Season <- relevel(Season,ref="Winter")
print(summary(z1 <- glm(Freq~Season,family=poisson,offset=log(Days))))
cbind(Freq,fitted(z1),residuals(z1,type="pearson"))

options(contrasts=c("contr.mean","contr.poly"))
print(z1a <- glm(Freq~Season,family=poisson,offset=log(Days)))

Spring <- Season=="Spring"
print(z2 <- glm(Freq~Spring,family=poisson,offset=log(Days)))
cbind(Freq,fitted(z2),residuals(z2,type="pearson"))

months <- 1:12
print(z3 <- glm(Freq~sin((2*months-1)*pi/12)+cos((2*months-1)*pi/12),
	family=poisson,offset=log(Days)))
cbind(Freq,fitted(z3),residuals(z3,type="pearson"))
print(z4 <- glm(Freq~sin((2*months-1)*pi/12)+cos((2*months-1)*pi/12)+
	sin((2*months-1)*pi/6)+cos((2*months-1)*pi/6),
	family=poisson,offset=log(Days)))
cbind(Freq,fitted(z4),residuals(z4,type="pearson"))

if(interactive()){
plot(months,Freq/Days,xlab="Month",ylab="Suicides per day",xlim=c(0,12),
	ylim=c(50,70),pch=8)
fn <- function(p,x) p[1]+p[2]*sin((2*x-1)*pi/12)+p[3]*cos((2*x-1)*pi/12)
lines(seq(1,12,by=0.1),exp(fn(coef(z3),seq(1,12,by=0.1))))

plot(months,Freq/Days,xlab="Month",ylab="Suicides per day",xlim=c(0,12),
	ylim=c(50,70),pch=8)
fn <- function(p,x) p[1]+p[2]*sin((2*x-1)*pi/12)+p[3]*cos((2*x-1)*pi/12)+
	p[4]*sin((2*x-1)*pi/6)+p[5]*cos((2*x-1)*pi/6)
lines(seq(1,12,by=0.1),exp(fn(coef(z4),seq(1,12,by=0.1))))
}
