data <- read.table("ch10e5.dat",skip=6,header=T)
attach(data)

Total <- factor(rep(0:1,12)+rep(rep(0:1,rep(2,2)),6)+rep(rep(0:1,rep(4,2)),3))

print(z0 <- glm(Freq~R1+R2+R3+Total+Year,family=poisson))
print(z1 <- glm(Freq~(R1+R2+R3+Total)*Year,family=poisson))
print(z2 <- glm(Freq~(R1+R2+R3)*Year+Total,family=poisson))
print(summary(z3 <- glm(Freq~R1+R2+R3+Total*Year,family=poisson)))
print(z4 <- glm(Freq~Total*Year,family=poisson))

if(interactive()){
plot(cooks.distance(z3,res=residuals(z3,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",ylim=c(0,0.14),
	xlab="Observation number",ylab="Cook's distance",pch=8)

or <- residuals(z3,type="pearson")/sqrt(1-lm.influence(z3)$hat)
or <- ifelse(or<Inf,or,0)
qqnorm(or,
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
