data <- read.table("ch10e6.dat",skip=6,header=T)
attach(data)

Diag <- Pref!=NPref
tmp <- matrix(cumsum(NPref>Pref)*(NPref>Pref),ncol=5)
Sym <- as.factor(as.vector(tmp+t(tmp)))
Pref <- as.factor(Pref)
NPref <- as.factor(NPref)

print(z0 <- glm(Freq~Pref+Sym,family=poisson))
print(z1 <- glm(Freq~Sym,family=poisson))

if(interactive()){
plot(cooks.distance(z0,res=residuals(z0,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z0,type="pearson")/sqrt(1-lm.influence(z0)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
