data <- read.table("ch2e1.dat",skip=6,header=T)
attach(data)

Affil <- relevel(Affil,ref="Republican")
Enrol <- relevel(Enrol,ref="Letters")
print(z0 <- glm(Freq~Affil+Enrol,family=poisson))

if(interactive()){
plot(cooks.distance(z0,res=residuals(z0,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
qqnorm(residuals(z0,type="pearson")/sqrt(1-lm.influence(z0)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}

print(summary(z1 <- glm(Freq~Affil*Enrol,family=poisson)))
