data <- read.table("ch2e6.dat",skip=6,header=T)
attach(data)

Hypertension <- relevel(Hypertension,ref="Yes")
ProteinUrea <- relevel(ProteinUrea,ref="Yes")

print(z0 <- glm(Freq~Hypertension+ProteinUrea+CigSmoked*SocialClass,
	family=poisson))

print(z1 <- glm(Freq~Hypertension*ProteinUrea+CigSmoked*SocialClass,
	family=poisson))

print(z2 <- glm(Freq~Hypertension*ProteinUrea+CigSmoked*SocialClass+
	Hypertension*CigSmoked,family=poisson))
print(z3 <- glm(Freq~Hypertension*ProteinUrea+CigSmoked*SocialClass+
	ProteinUrea*CigSmoked,family=poisson))
print(z4 <- glm(Freq~Hypertension*ProteinUrea+CigSmoked*SocialClass+
	Hypertension*SocialClass,family=poisson))
print(z5 <- glm(Freq~Hypertension*ProteinUrea+CigSmoked*SocialClass+
	ProteinUrea*SocialClass,family=poisson))

print(z6 <- glm(Freq~Hypertension*ProteinUrea+CigSmoked*SocialClass+
	Hypertension*CigSmoked+ProteinUrea*SocialClass,family=poisson))

CigSmoked2 <- factor(ifelse(CigSmoked=="20+",2,CigSmoked),labels=c("0","1+"))
print(summary(z7 <- glm(Freq~Hypertension*ProteinUrea+CigSmoked*SocialClass+
	Hypertension*CigSmoked2+ProteinUrea*SocialClass,family=poisson)))

if(interactive()){
plot(cooks.distance(z7,res=residuals(z7,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z7,type="pearson")/sqrt(1-lm.influence(z7)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
