data <- read.table("ch3e1.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~Attitude+Year,family=poisson))
data.frame(Attitude,Year,Freq,residuals=residuals(z0,type="pearson"))

YearL <- rep(1:4,5)
print(z1 <- glm(Freq~Attitude+Year+Attitude:YearL,family=poisson))

if(interactive()){
plot(cooks.distance(z1,res=residuals(z1,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

wt <- Attitude!="NotHarshlyEnough"
print(z2 <- glm(Freq~Attitude+Year,family=poisson,weight=wt))

wt <- wt*(Attitude!="NoAnswer")
print(z3 <- glm(Freq~Attitude+Year,family=poisson,weight=wt))
