data <- read.table("ch3e3.dat",skip=6,header=T)
attach(data)

print(z1 <- glm(cbind(Convulsed,Total-Convulsed)~Dose+Preparation,
	family=binomial))

print(z2 <- glm(cbind(Convulsed,Total-Convulsed)~Preparation,family=binomial))
print(z3 <- glm(cbind(Convulsed,Total-Convulsed)~Dose,family=binomial))

print(z4 <- glm(cbind(Convulsed,Total-Convulsed)~Dose*Preparation,
	family=binomial))

print(z5 <- glm(cbind(Convulsed,Total-Convulsed)~log(Dose)+Preparation,
	family=binomial))

if(interactive()){
plot(Dose[Preparation=="Standard"],(Convulsed/Total)[Preparation=="Standard"],
	pch=8,xlab="Dose",ylab="Proportion with convulsions",xlim=c(0,30))
lines(1:30,1/(1+exp(-coef(z5)[1]-coef(z5)[2]*log(1:30))))
points(Dose[Preparation=="Test"],(Convulsed/Total)[Preparation=="Test"],pch=6)
lines(1:30,1/(1+exp(-coef(z5)[1]-coef(z5)[3]-coef(z5)[2]*log(1:30))),lty=3)

plot(cooks.distance(z5,res=residuals(z5,type="pearson"),sd=1),
	main="Cook's distance - Binomial Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

print(z6 <- glm(cbind(Convulsed,Total-Convulsed)~log(Dose)+Preparation,
	family=binomial(link=cloglog)))
print(z7 <- glm(cbind(Total-Convulsed,Convulsed)~log(Dose)+Preparation,
	family=binomial(link=cloglog)))

if(interactive()){
plot(Dose[Preparation=="Standard"],(Convulsed/Total)[Preparation=="Standard"],
	pch=8,xlab="Dose",ylab="Proportion with convulsions",xlim=c(0,30))
lines(1:30,exp(-exp(coef(z7)[1]+coef(z7)[2]*log(1:30))))
points(Dose[Preparation=="Test"],(Convulsed/Total)[Preparation=="Test"],pch=6)
lines(1:30,exp(-exp(coef(z7)[1]+coef(z7)[3]+coef(z7)[2]*log(1:30))),lty=3)
}

-coef(z5)[1]/coef(z5)[2]
exp(-coef(z5)[1]/coef(z5)[2])
-(coef(z5)[1]+coef(z5)[3])/coef(z5)[2]
exp(-(coef(z5)[1]+coef(z5)[3])/coef(z5)[2])

-(0.367+coef(z7)[1])/coef(z7)[2]
exp(-(0.367+coef(z7)[1])/coef(z7)[2])
-(0.367+coef(z7)[1]+coef(z7)[3])/coef(z7)[2]
exp(-(0.367+coef(z7)[1]+coef(z7)[3])/coef(z7)[2])
