data <- read.table("ch3e4.dat",skip=6,header=T)
attach(data)

print(summary(z1 <- glm(Fatal~Age+Velocity+Acceleration,family=binomial)))

print(z2 <- glm(Fatal~Age+Velocity,family=binomial))

print(z3 <- glm(Fatal~Age+Acceleration,family=binomial))
print(z4 <- glm(Fatal~Velocity+Acceleration,family=binomial))
print(z5 <- glm(Fatal~Age,family=binomial))

if(interactive()){
plot(cooks.distance(z2,res=residuals(z2,type="pearson"),sd=1),
	main="Cook's distance - Binomial Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z2,type="pearson")/sqrt(1-lm.influence(z2)$hat),
	main="Q-Q Plot - Binomial Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)

plot(40:60,1/(1+exp(-coef(z2)[1]-coef(z2)[2]*25-coef(z2)[3]*(40:60))),
	type="l",xlab="Velocity",ylab="Mortality rate",ylim=c(0,1))
lines(40:60,1/(1+exp(-coef(z2)[1]-coef(z2)[2]*40-coef(z2)[3]*(40:60))),
	lty=3)
lines(40:60,1/(1+exp(-coef(z2)[1]-coef(z2)[2]*55-coef(z2)[3]*(40:60))),
	lty=4)

plot(19:65,1/(1+exp(-coef(z2)[1]-coef(z2)[2]*(19:65)-coef(z2)[3]*45)),
	type="l",xlab="Velocity",ylab="Mortality rate",ylim=c(0,1))
lines(19:65,1/(1+exp(-coef(z2)[1]-coef(z2)[2]*(19:65)-coef(z2)[3]*50)),
	lty=3)
lines(19:65,1/(1+exp(-coef(z2)[1]-coef(z2)[2]*(19:65)-coef(z2)[3]*55)),
	lty=4)
}
