data <- read.table("ch3e5.dat",skip=6,header=T)
attach(data)

Tetrahydrocortisone <- rep(Tetrahydrocortisone,3)
Pregnanetriol <- rep(Pregnanetriol,3)
Response <- c(Type==1,Type==2,Type==3)
Type <- factor(c(rep(1,21),rep(2,21),rep(3,21)),
	labels=c("Adenoma","BilateralHyperplasia","Carcinoma"))
Expl <- gl(21,1,63)

print(z1 <- glm(Response~Type+Expl,family=poisson))
print(z2 <- glm(Response~Type+Expl+Type:Tetrahydrocortisone,family=poisson))
print(z3 <- glm(Response~Type+Expl+Type:Pregnanetriol,family=poisson))
print(summary(z4 <- glm(Response~Type+Expl+Type:(Tetrahydrocortisone+
	Pregnanetriol),family=poisson)))
print(z5 <- glm(Response~Type+Expl+Type:(Tetrahydrocortisone*Pregnanetriol),
	family=poisson))

if(interactive()){
plot(cooks.distance(z4,res=residuals(z4,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z4,type="pearson")/sqrt(1-lm.influence(z4)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}

print(z6 <- glm(Response~Type+Expl+Type:(log(Tetrahydrocortisone)+
	log(Pregnanetriol)),family=poisson))
