source("ordvar.r")
library(gnlm)

data <- read.table("ch4e3.dat",skip=6,header=T)
attach(data)

YearsL <- rep(-1:1,rep(3,3))
Years <- relevel(Years,ref="2-10")

poov(Freq,Visits,Years)
poov(Freq,Visits,YearsL)

# or

visits <- rep(0:2,3)
nordr(visits, mu=~Years, weights=Freq, pmu=c(0,-1.4,-2.3), pint=0.13,
	dist="proportional odds")
nordr(visits, mu=~YearsL, weights=Freq, pmu=c(0,-1.4), pint=0.13,
	dist="proportional odds")

# or

ordglm(visits~Years,weights=Freq)
ordglm(visits~YearsL,weights=Freq)
