data <- read.table("ch5e1.dat",skip=6,header=T)
attach(data)

Freq <- as.vector(table(Survival,Remission,History,Sex))
Surv <- gl(2,1,36,labels=c("Alive","Dead"))
Remis <- gl(3,2,36,labels=c("Relapse","StillRemission","NeverRemission"))
Hist <- gl(3,6,36,labels=c("No","Yes","Unknown"))
Sex <- gl(2,18,36,labels=c("M","F"))

print(summary(z0 <- glm(Freq~Surv+Sex*Hist*Remis,family=poisson)))

wt <- !(Hist=="Yes"&Sex=="M")
print(summary(z1 <- glm(Freq~Surv+Sex*Hist*Remis,family=poisson,weights=wt)))

print(z2 <- glm(Freq~Surv+Sex*Hist*Remis+Surv*Sex,family=poisson,weights=wt))
print(z3 <- glm(Freq~Surv+Sex*Hist*Remis+Surv*(Sex+Remis),
	family=poisson,weights=wt))

if(interactive()){
cd <- rep(NA,36)
cd[wt] <- cooks.distance(z3,res=residuals(z3,type="pearson")[wt],sd=1)
plot(cd,main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

res <- rep(NA,36)
res[wt] <- residuals(z3,type="pearson")[wt]/sqrt(1-lm.influence(z3)$hat)
qqnorm(res,main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}

Remis2 <- factor(ifelse(Remis=="NeverRemission",2,Remis),
	labels=c("Relapse","Remission"))
print(z4 <- glm(Freq~Surv+Sex*Hist*Remis+Surv*(Sex+Remis2),
	family=poisson,weights=wt))
