library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch5e2.dat",skip=6,header=T)
attach(data)

Sex <- relevel(Sex,ref="M")
print(z0 <- glm(Freq~Health+Sex*Age,family=poisson))

# following gives wrong labels for Health
#print(z1 <- glm(Freq~Health+Sex*Age+Sex*Health,family=poisson))

Health <- relevel(Health,ref="SexReproduction")
print(z1 <- glm(Freq~Health+Sex*Age+Sex*Health,family=poisson))
print(z2 <- glm(Freq~Health+Sex*Age+Age*Health,family=poisson))

if(interactive()){
plot(cooks.distance(z1,res=residuals(z1,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z1,type="pearson")/sqrt(1-lm.influence(z1)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}

print(z3 <- glm(Freq~Health+Sex*Age+Sex*Health+Age*Health,family=poisson))
