data <- read.table("ch5e3.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~Received+Returned,family=poisson))

Sym <- factor(c(1:5,1,6:9,2,6,10:12,3,7,10,13,14,4,8,11,13,15,5,9,12,14,15))
print(z1 <- glm(Freq~Received+Returned+Sym,family=poisson))

if(interactive()){
plot(cooks.distance(z1,res=residuals(z1,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z1,type="pearson")/sqrt(1-lm.influence(z1)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
