data <- read.table("ch6e3.dat",skip=6,header=T)
attach(data)

print(zb <- glm(Families~Males,offset=lchoose(12,0:12),family=poisson))

MalesLogitMales <- Males*log(ifelse(Males==0,1,Males))+
	(12-Males)*log(ifelse(12-Males==0,1,12-Males))

print(zdb <- glm(Families~Males+MalesLogitMales,offset=lchoose(12,0:12),
	family=poisson))

cbind(Males,Families,bin.fit=fitted(zb),bin.res=residuals(zb,type="pearson"),
	dbin.fit=fitted(zdb),dbin.res=residuals(zdb,type="pearson"))

if(interactive()){
plot(Males,Families/sum(Families),pch=8,ylim=c(0,0.3),ylab="Probability")
lines(Males,fitted(zb)/sum(Families),lty=3)
lines(Males,fitted(zdb)/sum(Families))
}
