data <- read.table("ch6e4.dat",skip=6,header=T)
attach(data)

wealth <- rep(c(1,25,100,225,450),5)
logwealth <- log(wealth)
logwealth2 <- log(wealth)^2
wealth2 <- wealth^2
recwealth <- 1/wealth
income <- rep(c(20,50,70,95,200),rep(5,5))
logincome <- log(income)
logincome2 <- log(income)^2
income2 <- income^2
recincome <- 1/income
off <- log(rep(c(1,50,100,150,300),5)*rep(c(40,20,20,30,180),rep(5,5)))

# uniform
print(zu <- glm(Freq~1,family=poisson,offset=off))

# exponential
print(ze <- glm(Freq~income+wealth,family=poisson,offset=off))
print(zed <- glm(Freq~income*wealth,family=poisson,offset=off))

# normal
print(zn <- glm(Freq~income+wealth+income2+wealth2,family=poisson,offset=off))
print(znd <- glm(Freq~income*wealth+income2+wealth2,family=poisson,offset=off))
print(zndd <- glm(Freq~income*wealth+income2*wealth2,family=poisson,
	offset=off))

# log normal
print(zln <- glm(Freq~logincome+logwealth+logincome2+logwealth2,family=poisson,
	offset=off))
print(zlnd <- glm(Freq~logincome*logwealth+logincome2+logwealth2,
	family=poisson,offset=off))
print(zlndd <- glm(Freq~logincome*logwealth+logincome2*logwealth2,
	family=poisson,offset=off))

# inverse Gauss
print(zig <- glm(Freq~income+wealth+recincome+recwealth,family=poisson,
	offset=off-1.5*(log(income)+log(wealth))))
print(zigd <- glm(Freq~income*wealth+recincome+recwealth,family=poisson,
	offset=off-1.5*(log(income)+log(wealth))))
print(zigdd <- glm(Freq~income*wealth+recincome*recwealth,family=poisson,
	offset=off-1.5*(log(income)+log(wealth))))

# gamma
print(zg <- glm(Freq~income+wealth+logincome+logwealth,family=poisson,
	offset=off))
print(zgd <- glm(Freq~income*wealth+logincome+logwealth,family=poisson,
	offset=off))
print(zgdd <- glm(Freq~income*wealth+logincome*logwealth,family=poisson,
	offset=off))

# other
print(summary(zo <- glm(Freq~income*wealth+logincome2*logwealth2+
	wealth*logwealth+wealth*logincome+income*logwealth,family=poisson,
	offset=off)))

print(z0 <- glm(Freq~Wealth+Income,family=poisson))
