data <- read.table("ch6e6.dat",skip=6,header=T)
attach(data)

Freq <- as.vector(t(data[5:10]))
y <- rep(0:5,36)
subject <- as.factor(rep(Subject,rep(6,36)))
day <- rep(Day,rep(6,36))
dayf <- as.factor(day)
culture <- gl(2,6,216)
cells <- rep(Cells,rep(6,36))

if(interactive()){
plot(Day[Subject==1],(Total*1000/Cells)[Subject==1],pch=8,xlab="Day",
	ylab="Micronuclei/1000 cells",ylim=c(0,60))
points(Day[Subject==2],(Total*1000/Cells)[Subject==2],pch=6)
}

print(zp0 <- glm(Freq~y+subject*dayf*culture,family=poisson,off=-lgamma(y+1),
	weights=y>0))
print(zp1 <- glm(Freq~y*dayf+subject*dayf*culture,family=poisson,
	off=-lgamma(y+1),weights=y>0))
print(zp2 <- glm(Freq~y*(dayf+subject)+subject*dayf*culture,family=poisson,
	off=-lgamma(y+1),weights=y>0))
print(zp3 <- glm(Freq~y*(dayf+culture)+subject*dayf*culture,family=poisson,
	off=-lgamma(y+1),weights=y>0))
print(zp4 <- glm(Freq~y*day+subject*dayf*culture,family=poisson,
	off=-lgamma(y+1),weights=y>0))
print(zp5 <- glm(Freq~y*(day+I(day^2))+subject*dayf*culture,family=poisson,
	off=-lgamma(y+1),weights=y>0))

ylogy <- y*log(ifelse(y==0,1,y))
print(zdp0 <- glm(Freq~y+ylogy+subject*dayf*culture,family=poisson,
	off=-lgamma(y+1),weights=y>0))
print(zdp1 <- glm(Freq~(y+ylogy)*(day+I(day^2))+subject*dayf*culture,
	family=poisson,off=-lgamma(y+1),weights=y>0))

if(interactive()){
plot(Day[Subject==1],(Total*1000/Cells)[Subject==1],pch=8,xlab="Day",
	ylab="Micronuclei/1000 cells",ylim=c(0,60))
points(Day[Subject==2],(Total*1000/Cells)[Subject==2],pch=6)
pred <- tapply((fitted(zdp1)*y*1000/cells),dayf,sum)/c(4,4,4,2,4,2,4,4,4,4)
lines(day[subject==1&culture==1&y==0],pred)

prop <- ((cells-Freq+fitted(zdp1))/cells)[y==0]
prop <- ifelse(prop>1,1,prop)
plot(day[subject==1&y==0],prop[1:20],pch=8,xlab="Day",
	ylab="Proportion affected")
points(day[subject==2&y==0],prop[21:36],pch=6)
}
