library(event)

data <- read.table("ch7e7.dat",skip=6,header=T)
attach(data)

Mild <- c(Mildpain1,Mildpain2,Mildpain3)
Pain <- as.vector(rbind(Mild,c(Modpain1,Modpain2,Modpain3)-Mild))
nzero <- Pain>0
Total <- c(Total1,Total2,Total3)
Stdep <- c(Stdep1,Stdep2,Stdep3)
StDep <- as.vector(rbind(Stdep,Total-Stdep))
ind <- rep(0:1,45)[StDep>0]
StDep <- StDep[StDep>0]
Cens <- as.vector(rbind(c(CensMi1,CensMi2,CensMi3),
	c(CensMo1,CensMo2,CensMo3)))[nzero]
Treatment <- factor(rep(c(Treat1,Treat2,Treat3),rep(2,45))[nzero],
	labels=c("A","B","C"))
Carryover <- rep(c(Treat0,Treat1,Treat2),rep(2,45))[nzero]
Period <- as.factor(rep(c(rep(1,15),rep(2,15),rep(3,15)),rep(2,45))[nzero])
Id <- rep(rep(1:15,3),rep(2,45))[nzero] # Patient is not numbered consecutively
PainType <- rep(0:1,45)[nzero]
Pain <- Pain[nzero]

y <- pp(Pain,Cens)
time <- tpast(Pain)
paintype <- tvcov(Pain,PainType,Pain)
treatment <- tvcov(Pain,Treatment,Pain)
period <- tvcov(Pain,Period,Pain)
carryover <- tvcov(Pain,Carryover,Pain)
stdep <- tvcov(Pain,ind,StDep)
group <- tccov(Pain,as.factor(Group),Id)
id <- as.factor(ident(Pain,Id))

glm(y~time+paintype+treatment,family=poisson)
glm(y~time+paintype+treatment+stdep,family=poisson)
glm(y~log(time)+paintype+treatment+stdep,family=poisson)
glm(y~log(time)+paintype+treatment+stdep+id,family=poisson)
glm(y~log(time)+paintype+treatment+stdep+id+period,family=poisson)
glm(y~log(time)+paintype+treatment+stdep+id+group,family=poisson)
summary(glm(y~log(time)+paintype*period+treatment+stdep+id,family=poisson))

glm(y~paintype*period+treatment+stdep+id,family=poisson)
glm(y~log(time)+paintype*period+stdep+id,family=poisson)
glm(y~log(time)+paintype*period+treatment+id,family=poisson)
glm(y~log(time)+paintype*period+treatment+stdep,family=poisson)
glm(y~log(time)+paintype+period+treatment+stdep+id,family=poisson)

glm(y~time+paintype*period+treatment+stdep+id,family=poisson)
