library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch8e3.dat",skip=6,header=T)
attach(data)

Begin <- relevel(Begin,ref="Rep")
End <- relevel(End,ref="Rep")
print(z0 <- glm(Freq~Begin*End+Begin*Period,family=poisson))

tran <- tapply(Freq,list(Begin,End),sum)
tran/apply(tran,1,sum)

if(interactive()){
plot(cooks.distance(z0,res=residuals(z0,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}

data.frame(Period,Begin,End,Freq,Fitted=fitted(z0),
	Residual=residuals(z0,type="pearson"))

print(z1 <- glm(Freq~Begin*End+Begin*Period,family=poisson,weights=(1:45)<19))
print(z2 <- glm(Freq~Begin*End+Begin*Period,family=poisson,weights=(1:45)>27))

tran1 <- tapply(Freq[1:18],list(Begin[1:18],End[1:18]),sum)
tran1/apply(tran1,1,sum)
tran2 <- tapply(Freq[28:45],list(Begin[28:45],End[28:45]),sum)
tran2/apply(tran2,1,sum)

if(interactive()){
plot(cooks.distance(z1,res=residuals(z1,type="pearson")[1:18],sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
plot(cooks.distance(z2,res=residuals(z2,type="pearson")[28:45],sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)
}
