library(rmutil)
options(contrasts=c("contr.mean","contr.poly"))

data <- read.table("ch8e4.dat",skip=6,header=T)
attach(data)

print(z0 <- glm(Freq~T2*T1+T1*T0,family=poisson))

if(interactive()){
plot(cooks.distance(z0,res=residuals(z0,type="pearson"),sd=1),
	main="Cook's distance - Poisson Residuals",
	xlab="Observation number",ylab="Cook's distance",pch=8)

qqnorm(residuals(z0,type="pearson")/sqrt(1-lm.influence(z0)$hat),
	main="Q-Q Plot - Poisson Residuals",xlab="Ordered normal",
	ylab="Ordered residual",pch=8)
abline(0,1)
}
