data <- read.table("ch9e3.dat",skip=6,header=T)
attach(data)

Diag <- Region66!=Region71
LRegion66 <- rep(1:4,rep(4,4))
LRegion71 <- rep(1:4,4)

print(z0 <- glm(Freq~Region66+Region71,family=poisson))
print(z1 <- glm(Freq~Region66+Region71,family=poisson,weights=Diag))
print(z2 <- glm(Freq~Region66+Region71+Region66:LRegion71,family=poisson))

data.frame(Region66,Region71,Freq,Independence=fitted(z0),RowEffect=fitted(z2))

print(z3 <- glm(Freq~Region66+Region71+LRegion66:LRegion71,family=poisson,
	weights=Diag))
print(z4 <- glm(Freq~Region66+Region71+Region66:LRegion71,family=poisson,
	weights=Diag))

SDiag <- factor(c(1:4,2,1:3,3:1,2,4:1))
print(z5 <- glm(Freq~Region66+Region71+SDiag,family=poisson))

ADiag <- factor(c(1:4,5,1:3,6,5,1,2,7:5,1))
print(z6 <- glm(Freq~Region66+Region71+ADiag,family=poisson))

Sym <- factor(c(0:3,1,0,4,5,2,4,0,6,3,5,6,0))
print(z7 <- glm(Freq~SDiag+Sym,family=poisson,weights=Diag))

MD <- factor((codes(ADiag)-1)*((LRegion66-LRegion71)>0)+1)
print(z8 <- glm(Freq~MD+Sym,family=poisson,weights=Diag))
